<?php

namespace Database\Seeders;

use App\Models\Plan;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class PlanSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Plan::create([
            'name' => 'Free',
            'slug' => 'free',
            'price' => 0,
            'interval' => 'monthly',
        ]);

        Plan::create([
            'name' => 'Pro Monthly',
            'slug' => 'pro_monthly',
            'price' => 1300,
            'interval' => 'monthly',
        ]);

        Plan::create([
            'name' => 'Pro Yearly',
            'slug' => 'pro_yearly',
            'price' => 13000,
            'interval' => 'yearly',
        ]);
    }
}
